<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateParticipationTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('participation', function (Blueprint $table) {
            $table->bigInteger('id_user')->unsigned();
            $table->integer('id_tournament')->unsigned();
            $table->primary(['id_user', 'id_tournament']);
            $table->foreign('id_user')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_tournament')->references('id_tournament')->on('tournament')->onDelete('restrict')->onUpdate('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
      // Schema::table('participation', function(Blueprint $table) {
      //      $table->dropForeign('participation_id_user_foreign');
      // });
      //
      // Schema::table('participation', function(Blueprint $table) {
      //      $table->dropForeign('participation_id_tournament_foreign');
      // });

      Schema::dropIfExists('participation');
    }
}
